.btn {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  font-family: var(--font-hind), sans-serif;
  font-size: 16px;
  font-weight: 500;
  line-height: 100%;
  text-align: center;
  transition: background-color 0.2s ease, color 0.2s ease;
  background: transparent;
  border: none;
  outline: none;
  cursor: pointer;
  gap: 12px;
  height: 56px;

  padding: var(--btn-padding, 16px 24px);

  & svg {
    width: 24px;
    height: 24px;
    color: inherit;
    flex-shrink: 0;
    flex-grow: 0;
  }

  &:disabled {
    opacity: 0.3;
  }
}

.btn--leaf {
  border-radius: 20px 0;
}

.btn--rounded {
  border-radius: 8px;
}

.btn--sm {
  --btn-padding: 10px;
  gap: 6px;
  height: 44px;

  & svg {
    width: 20px;
    height: 20px;
  }
}

.btn--icon {
  --btn-padding: 0;
  width: 48px;
  height: 48px;
  border-radius: 50%;
}

.btn--icon-sm {
  --btn-padding: 0;
  width: 40px;
  height: 40px;
  border-radius: 50%;
}

.btn--primary {
  background: var(--action-primary);
  color: var(--action-foreground);

  &:hover {
    background: var(--action-primary-hover);
    color: var(--action-foreground-hover);
  }
}

.btn--secondary {
  background: var(--action-secondary);
  color: var(--action-foreground);

  &:hover {
    background: var(--action-secondary-hover);
    color: var(--action-foreground-hover);
  }
}

.btn--tertiary {
  background: transparent;
  color: var(--text-primary);

  &:hover {
    background: var(--action-secondary-hover);
  }
}

/* Add the cedar branch to the main menu */
.btn--brushing {
  position: relative;

  &:after {
    -webkit-mask-image: url("../../../images/icons/cedar-branch-apply.svg");
    mask-image: url("../../../images/icons/cedar-branch-apply.svg");
    content: "";
    width: 56px;
    height: 46px;
    bottom: -0.45em;
    right: -0.3em;
    position: absolute;
    background: var(--color-ember);
    transition: background 0.3s;
    will-change: transform;
  }

  &:hover:after {
    background: var(--color-cedar);
    animation: brushing 2s ease-in-out;
  }
}
